/// <reference types="node" />
import FilesystemProviderInterface from './FilesystemProviderInterface';
import AbstractFileSystemProvider from './AbstractFileSystemProvider';
declare class NodeFilesystemProvider extends AbstractFileSystemProvider implements FilesystemProviderInterface {
    constructor();
    readBinaryFileSync(name: string): Buffer;
    readTextFileSync(name: string): string;
    readDirSync(name: string): Array<string>;
    getTypeSync(name: string): FilesystemProviderInterface.FileType;
}
export { NodeFilesystemProvider as default };
