import StateMachineInterface from './StateMachineInterface';
declare class ResultImpl implements StateMachineInterface.Result {
    constructor();
    read(nextStep: StateMachineInterface.Step, address: number): this;
    write(nextStep: StateMachineInterface.Step, address: number, value: number): this;
    poll(poll: boolean): this;
    cycleType: StateMachineInterface.CycleType;
    address: number;
    value: number;
    pollInterrupts: boolean;
    nextStep: StateMachineInterface.Step;
}
export default ResultImpl;
