import CpuInterface from '../../CpuInterface';
import StateMachineInterface from '../StateMachineInterface';
import NextStep from './NextStep';
declare class IndexedIndirectY implements StateMachineInterface {
    constructor(state: CpuInterface.State, next: NextStep, writeOp: boolean);
    reset: () => StateMachineInterface.Result;
    private _fetchAddress;
    private _fetchLo;
    private _fetchHi;
    private _dereferenceAndCarry;
    private _operand;
    private _address;
    private _carry;
    private readonly _result;
    private readonly _state;
    private readonly _next;
    private readonly _writeOp;
}
export declare const indirectIndexedY: (state: CpuInterface.State, next: NextStep, writeOp: boolean) => IndexedIndirectY;
export {};
