import StateMachineInterface from '../StateMachineInterface';
import CpuInterface from '../../CpuInterface';
declare class Branch implements StateMachineInterface {
    constructor(state: CpuInterface.State, predicate: Branch.Predicate);
    reset: () => StateMachineInterface.Result;
    private _fetchTarget;
    private _firstDummyRead;
    private _secondDummyRead;
    private _target;
    private _operand;
    private readonly _result;
    private readonly _state;
    private readonly _predicate;
}
declare namespace Branch {
    interface Predicate {
        (flags: number): boolean;
    }
}
export declare const branch: (state: CpuInterface.State, predicate: Branch.Predicate) => Branch;
export {};
