import StateMachineInterface from '../StateMachineInterface';
import CpuInterface from '../../CpuInterface';
declare class Jsr implements StateMachineInterface {
    constructor(state: CpuInterface.State);
    reset: () => StateMachineInterface.Result;
    private _fetchPcl;
    private _dummyStackRead;
    private _pushPch;
    private _pushPcl;
    private _fetchPch;
    private _addressLo;
    private readonly _result;
    private readonly _state;
}
export declare const jsr: (state: CpuInterface.State) => Jsr;
export {};
