"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.write = void 0;
const tslib_1 = require("tslib");
const CpuInterface_1 = tslib_1.__importDefault(require("../../CpuInterface"));
const ResultImpl_1 = tslib_1.__importDefault(require("../ResultImpl"));
const decorators_1 = require("../../../../tools/decorators");
class Write {
    constructor(state, operation) {
        this.reset = (operand) => this._result.write(() => null, operand, this._operation(this._state));
        this._result = new ResultImpl_1.default();
        this._state = state;
        this._operation = operation;
        decorators_1.freezeImmutables(this);
    }
}
tslib_1.__decorate([
    decorators_1.Immutable,
    tslib_1.__metadata("design:type", Object)
], Write.prototype, "reset", void 0);
tslib_1.__decorate([
    decorators_1.Immutable,
    tslib_1.__metadata("design:type", Object)
], Write.prototype, "_result", void 0);
tslib_1.__decorate([
    decorators_1.Immutable,
    tslib_1.__metadata("design:type", CpuInterface_1.default.State)
], Write.prototype, "_state", void 0);
tslib_1.__decorate([
    decorators_1.Immutable,
    tslib_1.__metadata("design:type", Function)
], Write.prototype, "_operation", void 0);
exports.write = (state, operation) => new Write(state, operation);
//# sourceMappingURL=write.js.map