import { Event } from 'microevent.ts';
import Switch from './Switch';
import PaddleInterface from './PaddleInterface';
export default class Paddle implements PaddleInterface {
    setValue(value: number): void;
    getValue(): number;
    getFire(): Switch;
    valueChanged: Event<number>;
    protected _fireSwitch: Switch;
    protected _value: number;
}
