import { EventInterface } from 'microevent.ts';
import RGBASurfaceInterface from '../../video/surface/RGBASurfaceInterface';
interface VideoOutputInterface {
    getWidth(): number;
    getHeight(): number;
    setSurfaceFactory(factory: VideoOutputInterface.SurfaceFactoryInterface): VideoOutputInterface;
    newFrame: EventInterface<RGBASurfaceInterface>;
}
declare namespace VideoOutputInterface {
    interface SurfaceFactoryInterface {
        (): RGBASurfaceInterface;
    }
}
export { VideoOutputInterface as default };
