"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = void 0;
const tslib_1 = require("tslib");
const Factory_1 = tslib_1.__importDefault(require("../cpu/Factory"));
var Config;
(function (Config) {
    function create(config = {}) {
        return Object.assign({ tvMode: 0, enableAudio: true, randomSeed: -1, emulatePaddles: true, frameStart: -1, pcmAudio: false, cpuType: Factory_1.default.Type.stateMachine }, config);
    }
    Config.create = create;
    function getClockHz(config) {
        switch (config.tvMode) {
            case 0:
                return 262 * 228 * 60;
            case 1:
            case 2:
                return 312 * 228 * 50;
        }
    }
    Config.getClockHz = getClockHz;
})(Config || (Config = {}));
exports.default = Config;
//# sourceMappingURL=Config.js.map