import AbstractCartridge from './AbstractCartridge';
import * as cartridgeUtil from './util';
import CartridgeInfo from './CartridgeInfo';
declare class CartridgeF0 extends AbstractCartridge {
    constructor(buffer: cartridgeUtil.BufferInterface);
    reset(): void;
    read(address: number): number;
    peek(address: number): number;
    write(address: number, value: number): void;
    getType(): CartridgeInfo.CartridgeType;
    private _handleBankswitch;
    private _banks;
    private _currentBank;
    private _bankIdx;
}
export { CartridgeF0 as default };
