import AbstractCartridge from './AbstractCartridge';
import CartridgeInfo from './CartridgeInfo';
import RngInterface from '../../../tools/rng/GeneratorInterface';
import * as cartridgeUtil from './util';
declare class CartridgeFA extends AbstractCartridge {
    constructor(buffer: cartridgeUtil.BufferInterface);
    reset(): void;
    randomize(rng: RngInterface): void;
    read(address: number): number;
    peek(address: number): number;
    write(address: number, value: number): void;
    getType(): CartridgeInfo.CartridgeType;
    private _handleBankswitch;
    private _bank0;
    private _bank1;
    private _bank2;
    private _bank;
    private _ram;
}
export { CartridgeFA as default };
