import AbstractCartridge from './AbstractCartridge';
import Bus from '../Bus';
import CartridgeInfo from './CartridgeInfo';
import * as cartridgeUtil from './util';
declare class CartridgeFE extends AbstractCartridge {
    constructor(buffer: cartridgeUtil.BufferInterface);
    static matchesBuffer(buffer: cartridgeUtil.BufferInterface): boolean;
    reset(): void;
    read(address: number): number;
    write(address: number, value: number): void;
    setBus(bus: Bus): this;
    getType(): CartridgeInfo.CartridgeType;
    private static _onBusAccess;
    private _bus;
    private _bank0;
    private _bank1;
    private _bank;
    private _lastAccessWasFE;
    private _lastAddressBusValue;
}
export { CartridgeFE as default };
