declare class Playfield {
    private _collisionMask;
    private _flushLineCache;
    constructor(_collisionMask: number, _flushLineCache: () => void);
    reset(): void;
    pf0(value: number): void;
    pf1(value: number): void;
    pf2(value: number): void;
    ctrlpf(value: number): void;
    setColor(color: number): void;
    setColorP0(color: number): void;
    setColorP1(color: number): void;
    tick(x: number): void;
    getPixel(colorIn: number): number;
    private _applyColors;
    collision: number;
    private _colorLeft;
    private _colorRight;
    private _color;
    private _colorP0;
    private _colorP1;
    private _colorMode;
    private _pattern;
    private _refp;
    private _reflected;
    private _pf0;
    private _pf1;
    private _pf2;
    private _x;
}
export { Playfield as default };
