import Config from '../Config';
import AudioOutputBuffer from '../../../tools/AudioOutputBuffer';
declare class ToneGenerator {
    private _config?;
    constructor(_config?: Config);
    setConfig(config: Config): void;
    getKey(tone: number, frequency: number): number;
    getBuffer(key: number): AudioOutputBuffer;
}
export { ToneGenerator as default };
