"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = void 0;
class AudioOutputBuffer {
    constructor(_content, _sampleRate) {
        this._content = _content;
        this._sampleRate = _sampleRate;
    }
    getLength() {
        return this._content.length;
    }
    getContent() {
        return this._content;
    }
    getSampleRate() {
        return this._sampleRate;
    }
    replaceUnderlyingBuffer(buffer) {
        this._content = buffer;
    }
}
exports.default = AudioOutputBuffer;
//# sourceMappingURL=AudioOutputBuffer.js.map