import { Event } from 'microevent.ts';
declare class RingBuffer<T> {
    private _capacity;
    constructor(_capacity: number);
    size(): number;
    pop(): T;
    push(item: T): this;
    forEach(fn: (item: T) => void): this;
    clear(): this;
    capacity(): number;
    evict: Event<T>;
    private _size;
    private _index;
    private _buffer;
}
export { RingBuffer as default };
