"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.calculateFromString = exports.calculateFromUint8Array = void 0;
const tslib_1 = require("tslib");
const md5_1 = tslib_1.__importDefault(require("md5"));
const buffer_1 = require("buffer");
function calculateFromUint8Array(buffer) {
    return md5_1.default(buffer_1.Buffer.from(buffer));
}
exports.calculateFromUint8Array = calculateFromUint8Array;
function calculateFromString(input) {
    return md5_1.default(buffer_1.Buffer.from(input, 'utf8'));
}
exports.calculateFromString = calculateFromString;
//# sourceMappingURL=md5.js.map