"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = void 0;
class PoolMember {
    constructor(_value, _releaseCB, _disposeCB) {
        this._value = _value;
        this._releaseCB = _releaseCB;
        this._disposeCB = _disposeCB;
        this._isAvailable = false;
        this._isDisposed = false;
    }
    adopt(target) {
        this._value = target;
    }
    get() {
        return this._value;
    }
    release() {
        this._releaseCB(this);
    }
    dispose() {
        this._disposeCB(this);
    }
}
exports.default = PoolMember;
//# sourceMappingURL=PoolMember.js.map