"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = void 0;
const setImmediate_1 = require("./setImmediate");
class ImmediateScheduler {
    start(worker, context) {
        let terminate = false;
        function handler() {
            if (terminate) {
                return;
            }
            worker(context);
            setImmediate_1.setImmediate(handler);
        }
        setImmediate_1.setImmediate(handler);
        return {
            stop: () => (terminate = true)
        };
    }
}
exports.default = ImmediateScheduler;
//# sourceMappingURL=ImmedateScheduler.js.map