import TaskInterface from './TaskInterface';
interface SchedulerInterface {
    start<T>(worker: SchedulerInterface.WorkerInterface<T>, context?: T, timeSlice?: number): TaskInterface;
}
declare namespace SchedulerInterface {
    interface WorkerInterface<T> {
        (context: T, timeSlice?: number): number | void;
    }
}
export { SchedulerInterface as default };
