import { Event } from 'microevent.ts';
import AsyncIOInterface from '../../machine/io/AsyncIOInterface';
declare class AsyncIO {
    bind(io: AsyncIOInterface | null): void;
    unbind(): void;
    send(message: ArrayLike<number>): void;
    private static _onAsyncIOMessage;
    message: Event<ArrayLike<number>>;
    private _io;
}
export default AsyncIO;
