import ChannelInterface from './ChannelInterface';
import PCMAudioEndpointInterface from '../PCMAudioEndpointInterface';
declare class PCMChannel implements ChannelInterface {
    private _hostFragmentSize;
    constructor(_hostFragmentSize?: number);
    init(context: AudioContext, target: AudioNode): void;
    bind(audio: PCMAudioEndpointInterface): void;
    unbind(): void;
    setMasterVolume(volume: number): void;
    private static _onNewFragment;
    private _processAudio;
    private _outputSampleRate;
    private _bufferSize;
    private _volume;
    private _gain;
    private _processor;
    private _bufferUnderrun;
    private _fragmentRing;
    private _fragmentSize;
    private _inputSampleRate;
    private _fragmentIndex;
    private _currentFragment;
    private _lastFragment;
    private _audio;
    private _resampler;
}
export { PCMChannel as default };
