"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ShadowSwitch {
    constructor() {
        this._state = false;
        this._dirty = false;
    }
    toggle(state) {
        if (state === this._state) {
            return;
        }
        this._state = state;
        this._dirty = true;
    }
    setState(state) {
        this._state = state;
        this._dirty = false;
    }
    sync(swtch) {
        if (this._dirty) {
            swtch.toggle(this._state);
            this._dirty = false;
        }
    }
}
exports.default = ShadowSwitch;
//# sourceMappingURL=ShadowSwitch.js.map