import Processor from './Processor';
import { Capabilities } from './Capabilities';
declare class ScanlineProcessor implements Processor {
    private _gl;
    private _capabilities;
    constructor(_gl: WebGLRenderingContext, _capabilities: Capabilities);
    init(): void;
    destroy(): void;
    render(texture: WebGLTexture): void;
    getWidth(): number;
    getHeight(): number;
    getTexture(): WebGLTexture;
    resize(width: number, height: number): void;
    configure(level: number): void;
    private _width;
    private _height;
    private _texture;
    private _program;
    private _framebuffer;
    private _vertexCoordinateBuffer;
    private _textureCoordinateBuffer;
    private _initialized;
}
export default ScanlineProcessor;
