import Switch from './Switch';
import ControlPanel from './ControlPanel';
import StellaControlPanel from '../../../machine/stella/ControlPanelInterface';
declare class ControlPanelProxy implements ControlPanel {
    bind(controlPanel: StellaControlPanel): void;
    unbind(): void;
    reset(): Switch;
    select(): Switch;
    difficultyPlayer1(): Switch;
    difficultyPlayer2(): Switch;
    color(): Switch;
    private _reset;
    private _select;
    private _difficultyPlayer1;
    private _difficultyPlayer2;
    private _color;
    private _boundControlPanel;
}
export { ControlPanelProxy as default };
