import { Event } from 'microevent.ts';
import Switch from './Switch';
import SwitchIO from '../../../machine/io/SwitchInterface';
declare class SwitchProxy implements Switch {
    bind(swtch: SwitchIO): void;
    unbind(): void;
    toggle(state: boolean): this;
    read(): boolean;
    private static _onBoundStateChange;
    private _setState;
    stateChange: Event<boolean>;
    private _state;
    private _boundSwitch;
}
export { SwitchProxy as default };
