import { RpcProviderInterface } from 'worker-rpc';
import PCMAudioEndpointInterface from '../../../driver/PCMAudioEndpointInterface';
declare class PCMAudioDriver {
    private _rpc;
    constructor(index: number, _rpc: RpcProviderInterface);
    bind(endpoint: PCMAudioEndpointInterface): void;
    unbind(): void;
    private static _onNewFrame;
    private static _onTogglePause;
    private _onGetPCMAudioParameters;
    private _onReturnFrame;
    private _enabled;
    private _endpoint;
    private _sampleRate;
    private _frameSize;
    private _pendingFrames;
    private _nextId;
    private _paused;
    private _signalNewFrame;
    private _signalTogglePause;
}
export { PCMAudioDriver as default };
