import { RpcProviderInterface } from 'worker-rpc';
import WaveformAudioOutputInterface from '../../../../machine/io/WaveformAudioOutputInterface';
declare class WaveformAudioDriver {
    private _index;
    private _rpc;
    constructor(_index: number, _rpc: RpcProviderInterface);
    bind(audio: WaveformAudioOutputInterface): void;
    unbind(): void;
    private static _onBufferChanged;
    private static _onVolumeChanged;
    private static _onStop;
    private _onGetWaveformAudioParameters;
    private _audio;
}
export { WaveformAudioDriver as default };
