declare abstract class AbstractFileSystemProvider {
    pushd(path?: string): void;
    popd(): string;
    cwd(): string;
    chdir(path: string): void;
    protected _resolvePath(path: string): string;
    protected _directoryStack: Array<string>;
    protected _cwd: string;
}
export { AbstractFileSystemProvider as default };
