import RngInterface from '../../tools/rng/GeneratorInterface';
import BusInterface from '../bus/BusInterface';
import CpuInterface from './CpuInterface';
declare class Factory {
    private _type;
    constructor(_type: Factory.Type);
    create(bus: BusInterface, rng?: RngInterface): CpuInterface;
}
declare namespace Factory {
    enum Type {
        stateMachine = 0,
        batchedAccess = 1
    }
}
export default Factory;
