"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ResultImpl {
    constructor() {
        this.cycleType = 0;
        this.address = 0;
        this.value = 0;
        this.pollInterrupts = false;
        this.nextStep = null;
    }
    read(nextStep, address) {
        this.cycleType = 0;
        this.address = address;
        this.nextStep = nextStep;
        return this;
    }
    write(nextStep, address, value) {
        this.cycleType = 1;
        this.address = address;
        this.value = value;
        this.nextStep = nextStep;
        return this;
    }
    poll(poll) {
        this.pollInterrupts = poll;
        return this;
    }
}
exports.default = ResultImpl;
//# sourceMappingURL=ResultImpl.js.map