import StateMachineInterface from '../StateMachineInterface';
import NextStep from './NextStep';
import CpuInterface from '../../CpuInterface';
declare class Dereference implements StateMachineInterface<number> {
    constructor(state: CpuInterface.State, next?: NextStep);
    reset: (operand: number) => StateMachineInterface.Result;
    private _dereference;
    private readonly _result;
    private readonly _state;
    private readonly _next;
}
export declare const dereference: (state: CpuInterface.State, next: NextStep) => Dereference;
export {};
