import CpuInterface from '../../CpuInterface';
import StateMachineInterface from '../StateMachineInterface';
import NextStep from './NextStep';
declare class Indirect implements StateMachineInterface {
    constructor(state: CpuInterface.State, next?: NextStep);
    reset: () => StateMachineInterface.Result;
    private _fetchAddressLo;
    private _fetchAddressHi;
    private _fetchLo;
    private _fetchHi;
    private _operand;
    private _address;
    private readonly _result;
    private readonly _state;
    private readonly _next;
}
export declare const indirect: (state: CpuInterface.State, next: NextStep) => Indirect;
export {};
