import CpuInterface from '../../CpuInterface';
import StateMachineInterface from '../StateMachineInterface';
import NextStep from './NextStep';
declare class ZeroPageIndexed implements StateMachineInterface {
    private constructor();
    static zeroPageX(state: CpuInterface.State, next?: NextStep): ZeroPageIndexed;
    static zeroPageY(state: CpuInterface.State, next?: NextStep): ZeroPageIndexed;
    reset: () => StateMachineInterface.Result;
    private _fetchAddress;
    private _addIndex;
    private _operand;
    private readonly _result;
    private readonly _state;
    private readonly _next;
    private readonly _indexExtractor;
}
declare namespace ZeroPageIndexed {
    interface IndexExtractor {
        (s: CpuInterface.State): number;
    }
}
export declare const zeroPageX: (state: CpuInterface.State, next: NextStep) => ZeroPageIndexed;
export declare const zeroPageY: (state: CpuInterface.State, next: NextStep) => ZeroPageIndexed;
export {};
