import StateMachineInterface from '../StateMachineInterface';
import CpuInterface from '../../CpuInterface';
import ResultImpl from '../ResultImpl';
declare class NullaryOneCycle implements StateMachineInterface<number> {
    constructor(state: CpuInterface.State, operation: UnaryOneCycle.Operation);
    reset: () => ResultImpl;
    private _executeOperation;
    private readonly _result;
    private readonly _state;
    private readonly _operation;
}
declare namespace UnaryOneCycle {
    interface Operation {
        (s: CpuInterface.State): void;
    }
}
export declare const nullaryOneCycle: (state: CpuInterface.State, operation: UnaryOneCycle.Operation) => NullaryOneCycle;
export {};
