import StateMachineInterface from '../StateMachineInterface';
import CpuInterface from '../../CpuInterface';
declare class Pull implements StateMachineInterface {
    constructor(state: CpuInterface.State, operation: Pull.Operation);
    reset: () => StateMachineInterface.Result;
    private _dummyRead;
    private _incrementS;
    private _pull;
    private readonly _result;
    private readonly _state;
    private readonly _operation;
}
declare namespace Pull {
    interface Operation {
        (state: CpuInterface.State, ooperand: number): void;
    }
}
export declare const pull: (state: CpuInterface.State, operation: Pull.Operation) => Pull;
export {};
