import CpuInterface from '../../CpuInterface';
import StateMachineInterface from '../StateMachineInterface';
declare class Push implements StateMachineInterface {
    constructor(state: CpuInterface.State, operation: Push.Operation);
    reset: () => StateMachineInterface.Result;
    private _dummyRead;
    private _push;
    private readonly _result;
    private readonly _state;
    private readonly _operation;
}
declare namespace Push {
    interface Operation {
        (s: CpuInterface.State): number;
    }
}
export declare const push: (state: CpuInterface.State, operation: Push.Operation) => Push;
export {};
