import StateMachineInterface from '../StateMachineInterface';
import CpuInterface from '../../CpuInterface';
declare class ReadModifyWrite implements StateMachineInterface<number> {
    constructor(state: CpuInterface.State, operation: ReadModifyWrite.Operation);
    reset: (address: number) => StateMachineInterface.Result;
    private _read;
    private _dummyWrite;
    private _write;
    private _address;
    private _operand;
    private readonly _result;
    private readonly _state;
    private readonly _operation;
}
declare namespace ReadModifyWrite {
    interface Operation {
        (o: number, s: CpuInterface.State): number;
    }
}
export declare const readModifyWrite: (state: CpuInterface.State, operation: ReadModifyWrite.Operation) => ReadModifyWrite;
export {};
