import StateMachineInterface from '../StateMachineInterface';
import CpuInterface from '../../CpuInterface';
declare class Write implements StateMachineInterface<number> {
    constructor(state: CpuInterface.State, operation: Write.Operation);
    reset: (operand: number) => StateMachineInterface.Result;
    private readonly _result;
    private readonly _state;
    private readonly _operation;
}
declare namespace Write {
    interface Operation {
        (s: CpuInterface.State): number;
    }
}
export declare const write: (state: CpuInterface.State, operation: Write.Operation) => Write;
export {};
