import CpuInterface from '../CpuInterface';
export declare function genRmw(operand: number, state: CpuInterface.State, operation: (x: number) => number): number;
export declare function genNullary(state: CpuInterface.State, operation: (state: CpuInterface.State) => number): void;
export declare function genUnary(operand: number, state: CpuInterface.State, operation: (operand: number, state: CpuInterface.State) => number): null;
export declare function adc(operand: number, state: CpuInterface.State): null;
export declare function aslImmediate(state: CpuInterface.State): void;
export declare function aslRmw(operand: number, state: CpuInterface.State): number;
export declare function bit(operand: number, state: CpuInterface.State): null;
export declare function cmp(operand: number, state: CpuInterface.State, getRegister: (state: CpuInterface.State) => number): void;
export declare function sbc(operand: number, state: CpuInterface.State): null;
export declare function lsrImmediate(state: CpuInterface.State): void;
export declare function lsrRmw(operand: number, state: CpuInterface.State): number;
export declare function rolImmediate(state: CpuInterface.State): void;
export declare function rolRmw(operand: number, state: CpuInterface.State): number;
export declare function rorImmediate(state: CpuInterface.State): void;
export declare function rorRmw(operand: number, state: CpuInterface.State): number;
export declare function arr(operand: number, state: CpuInterface.State): void;
export declare function alr(operand: number, state: CpuInterface.State): null;
export declare function dcp(operand: number, state: CpuInterface.State): number;
export declare function axs(operand: number, state: CpuInterface.State): null;
export declare function rra(operand: number, state: CpuInterface.State): number;
export declare function rla(operand: number, state: CpuInterface.State): number;
export declare function slo(operand: number, state: CpuInterface.State): number;
export declare function aax(state: CpuInterface.State): number;
export declare function isc(operand: number, state: CpuInterface.State): number;
export declare function aac(operand: number, state: CpuInterface.State): null;
