import StateMachineInterface from '../StateMachineInterface';
import CpuInterface from '../../CpuInterface';
declare class Boot implements StateMachineInterface {
    constructor(state: CpuInterface.State);
    reset: () => StateMachineInterface.Result;
    private _pre1Step;
    private _pre2Step;
    private _stack1Step;
    private _stack2Step;
    private _stack3Step;
    private _readTargetLoStep;
    private _readTargetHiStep;
    private _targetAddress;
    private readonly _result;
    private readonly _state;
}
export declare const boot: (state: CpuInterface.State) => Boot;
export {};
