import StateMachineInterface from '../StateMachineInterface';
import CpuInterface from '../../CpuInterface';
declare class Interrupt implements StateMachineInterface {
    constructor(state: CpuInterface.State, defaultVector: number, isBrk: boolean);
    reset: () => StateMachineInterface.Result;
    private _dummyRead;
    private _pushPch;
    private _pushPcl;
    private _pushFlags;
    private _fetchPcl;
    private _fetchPch;
    private _vector;
    private readonly _result;
    private readonly _state;
    private readonly _defaultVector;
    private readonly _isBrk;
}
export declare const brk: (state: CpuInterface.State) => Interrupt;
export declare const irq: (state: CpuInterface.State) => Interrupt;
export declare const nmi: (state: CpuInterface.State) => Interrupt;
export {};
