import SimpleSerialIOInterface from '../io/SimpleSerialIOInterface';
import VanillaBoard from '../vanilla/Board';
import Memory from './Memory';
import CpuInterface from '../cpu/CpuInterface';
import BusInterface from '../bus/BusInterface';
declare class Board extends VanillaBoard {
    constructor(cpuFactory?: (bus: BusInterface) => CpuInterface);
    getSerialIO(): SimpleSerialIOInterface;
    protected _createBus(): Memory;
    protected _bus: Memory;
}
export { Board as default };
