"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = void 0;
const tslib_1 = require("tslib");
const Board_1 = tslib_1.__importDefault(require("../vanilla/Board"));
const Memory_1 = tslib_1.__importDefault(require("./Memory"));
class Board extends Board_1.default {
    constructor(cpuFactory) {
        super(cpuFactory);
        this._bus.setCpu(this._cpu);
    }
    getSerialIO() {
        return this._bus;
    }
    _createBus() {
        return new Memory_1.default();
    }
}
exports.default = Board;
//# sourceMappingURL=Board.js.map