"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const microevent_ts_1 = require("microevent.ts");
const Switch_1 = tslib_1.__importDefault(require("./Switch"));
class Paddle {
    constructor() {
        this.valueChanged = new microevent_ts_1.Event();
        this._fireSwitch = new Switch_1.default();
        this._value = 0.5;
    }
    setValue(value) {
        this._value = value;
        this.valueChanged.dispatch(value);
    }
    getValue() {
        return this._value;
    }
    getFire() {
        return this._fireSwitch;
    }
}
exports.default = Paddle;
//# sourceMappingURL=Paddle.js.map