interface SimpleSerialIOInterface {
    setOutCallback(callback: SimpleSerialIOInterface.OutCallbackInterface): SimpleSerialIOInterface;
    getOutCallback(): SimpleSerialIOInterface.OutCallbackInterface;
    setInCallback(callback: SimpleSerialIOInterface.InCallbackInterface): SimpleSerialIOInterface;
    getInCallback(): SimpleSerialIOInterface.InCallbackInterface;
}
declare namespace SimpleSerialIOInterface {
    interface OutCallbackInterface {
        (data: number, source: SimpleSerialIOInterface): void;
    }
    interface InCallbackInterface {
        (dest: SimpleSerialIOInterface): number;
    }
}
export { SimpleSerialIOInterface as default };
