import { EventInterface } from 'microevent.ts';
import AudioOutputBuffer from '../../tools/AudioOutputBuffer';
interface WaveformAudioOutputInterface {
    getBuffer(key: number): AudioOutputBuffer;
    getVolume(): number;
    bufferChanged: EventInterface<number>;
    volumeChanged: EventInterface<number>;
    stop: EventInterface<void>;
}
export { WaveformAudioOutputInterface as default };
