import { Event } from 'microevent.ts';
import Board from './Board';
import AsyncIOInterface from '../io/AsyncIOInterface';
declare class AsyncIO implements AsyncIOInterface {
    private _board;
    constructor(_board: Board);
    reset(): this;
    send(message: ArrayLike<number>): void;
    private static _onWrite;
    private static _onRead;
    private static _onReset;
    message: Event<Uint8Array>;
    private readonly _bufferOut;
    private readonly _bufferIn;
    private _indexBufferOut;
    private _indexBufferIn;
    private _bus;
}
export default AsyncIO;
