import AbstractCartridge from './AbstractCartridge';
import CartridgeInfo from './CartridgeInfo';
import Bus from '../Bus';
import * as cartridgeUtil from './util';
declare class Cartridge8040 extends AbstractCartridge {
    constructor(buffer: cartridgeUtil.BufferInterface);
    static matchesBuffer(buffer: cartridgeUtil.BufferInterface): boolean;
    reset(): void;
    read(address: number): number;
    peek(address: number): number;
    getType(): CartridgeInfo.CartridgeType;
    setBus(bus: Bus): this;
    private _onBusAccess;
    private _bank;
    private _bank0;
    private _bank1;
    private _bus;
}
export { Cartridge8040 as default };
