import AbstractCartridge from './AbstractCartridge';
import * as cartridgeUtil from './util';
import CartridgeInfo from './CartridgeInfo';
import Bus from '../Bus';
declare class Cartridge3F extends AbstractCartridge {
    constructor(buffer: cartridgeUtil.BufferInterface);
    static matchesBuffer(buffer: cartridgeUtil.BufferInterface): boolean;
    reset(): void;
    setBus(bus: Bus): this;
    read(address: number): number;
    getType(): CartridgeInfo.CartridgeType;
    private static _onBusAccess;
    private _banks;
    private _bank0;
    private _bank1;
    private _bus;
}
export { Cartridge3F as default };
