import AbstractCartridge from './AbstractCartridge';
import * as cartridgeUtil from './util';
import CartridgeInfo from './CartridgeInfo';
import RngInterface from '../../../tools/rng/GeneratorInterface';
declare class CartrdigeE7 extends AbstractCartridge {
    constructor(buffer: cartridgeUtil.BufferInterface);
    static matchesBuffer(buffer: cartridgeUtil.BufferInterface): boolean;
    reset(): void;
    read(address: number): number;
    peek(address: number): number;
    write(address: number, value: number): void;
    getType(): CartridgeInfo.CartridgeType;
    randomize(rng: RngInterface): void;
    private _handleBankswitch;
    private _banks;
    private _bank0;
    private _ram0;
    private _ram1Banks;
    private _ram1;
    private _ram0Enabled;
}
export { CartrdigeE7 as default };
