import AbstractCartridge from './AbstractCartridge';
import CartridgeInfo from './CartridgeInfo';
import * as cartridgeUtil from './util';
import Bus from '../Bus';
declare class CartridgeUA extends AbstractCartridge {
    constructor(buffer: cartridgeUtil.BufferInterface);
    static matchesBuffer(buffer: cartridgeUtil.BufferInterface): boolean;
    reset(): void;
    read(address: number): number;
    setBus(bus: Bus): this;
    getType(): CartridgeInfo.CartridgeType;
    private static _onBusAccess;
    private _bus;
    private _bank;
    private _bank0;
    private _bank1;
}
export { CartridgeUA as default };
