declare class DelayQueue {
    private _length;
    constructor(_length: number, size: number);
    reset(): void;
    push(address: number, value: number, delay: number): this;
    execute<T>(handler: (address: number, value: number, scope: T) => void, scope?: T): void;
    private _queue;
    private _nextIndex;
    private _indices;
}
export { DelayQueue as default };
