export default class Player {
    private _collisionMask;
    private _flushLineCache;
    constructor(_collisionMask: number, _flushLineCache: () => void);
    reset(): void;
    grp(pattern: number): void;
    hmp(value: number): void;
    nusiz(value: number, hblank: boolean): void;
    resp(counter: number): void;
    refp(value: number): void;
    vdelp(value: number): void;
    startMovement(): void;
    movementTick(clock: number, apply: boolean): boolean;
    tick(): void;
    getPixel(colorIn: number): number;
    shufflePatterns(): void;
    getRespClock(): number;
    setColor(color: number): void;
    private _updatePattern;
    private _setDivider;
    color: number;
    collision: number;
    private _hmmClocks;
    private _counter;
    private _moving;
    private _divider;
    private _dividerPending;
    private _dividerChangeCounter;
    private _sampleCounter;
    private _rendering;
    private _renderCounter;
    private _renderCounterTripPoint;
    private _decodes;
    private _patternNew;
    private _patternOld;
    private _pattern;
    private _reflected;
    private _delaying;
}
