import BusInterface from '../bus/BusInterface';
declare class Memory implements BusInterface {
    constructor();
    reset(): void;
    clear(): void;
    read(address: number): number;
    peek(address: number): number;
    readWord(address: number): number;
    write(address: number, value: number): void;
    poke(address: number, value: number): void;
    protected _data: Uint8Array;
}
export { Memory as default };
