import { Event, EventInterface } from 'microevent.ts';
import SchedulerInterface from './scheduler/SchedulerInterface';
declare class ClockProbe {
    private _scheduler;
    constructor(_scheduler: SchedulerInterface);
    attach(clock: EventInterface<any>): ClockProbe;
    start(): ClockProbe;
    detach(): ClockProbe;
    stop(): ClockProbe;
    getFrequency(): number;
    private _updateMeasurement;
    private _clockHandler;
    frequencyUpdate: Event<number>;
    private _counter;
    private _timestamp;
    private _frequency;
    private _clock;
    private _measurementTask;
}
export { ClockProbe as default };
