"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.encode = void 0;
function encode(value, width) {
    let result = Math.abs(value).toString(2);
    if (typeof width !== 'undefined') {
        while (result.length < width) {
            result = '0' + result;
        }
    }
    return (value < 0 ? '-' : '') + '0b' + result;
}
exports.encode = encode;
//# sourceMappingURL=binary.js.map