"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = void 0;
class InducedMember {
    constructor(_value, _mapper, _adopter) {
        this._value = _value;
        this._mapper = _mapper;
        this._adopter = _adopter;
    }
    adopt(target) {
        this._adopter(this._value, target);
    }
    get() {
        return this._mapper(this._value.get());
    }
    release() {
        this._value.release();
    }
    dispose() {
        this._value.dispose();
    }
}
exports.default = InducedMember;
//# sourceMappingURL=InducedMember.js.map