import PoolMemberInterface from './PoolMemberInterface';
declare class PoolMember<T> implements PoolMemberInterface<T> {
    private _value;
    private _releaseCB;
    private _disposeCB;
    constructor(_value: T, _releaseCB: (victim: PoolMember<T>) => void, _disposeCB: (victim: PoolMember<T>) => void);
    adopt(target: T): void;
    get(): T;
    release(): void;
    dispose(): void;
    _isAvailable: boolean;
    _isDisposed: boolean;
    _poolPosition: number;
}
export { PoolMember as default };
