import GeneratorInterface from './GeneratorInterface';
export interface SeedrandomPrng {
    quick(): number;
    int32(): number;
    double(): number;
    state(): any;
}
declare class SeedrandomGenerator implements GeneratorInterface {
    private _rng;
    constructor(_rng: SeedrandomPrng);
    single(): number;
    double(): number;
    int32(): number;
    int(max: number): number;
    saveState(): any;
}
export { SeedrandomGenerator as default };
