"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = void 0;
class SeedrandomGenerator {
    constructor(_rng) {
        this._rng = _rng;
    }
    single() {
        return this._rng.quick();
    }
    double() {
        return this._rng.double();
    }
    int32() {
        return this._rng.int32();
    }
    int(max) {
        return (this._rng.int32() >>> 0) % (max + 1);
    }
    saveState() {
        return this._rng.state();
    }
}
exports.default = SeedrandomGenerator;
//# sourceMappingURL=SeedrandomGenerator.js.map