"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.restoreRng = exports.createRng = void 0;
const tslib_1 = require("tslib");
const seedrandom = tslib_1.__importStar(require("seedrandom"));
const SeedrandomGenerator_1 = tslib_1.__importDefault(require("./SeedrandomGenerator"));
function createRng(seed) {
    if (seed < 0) {
        seed = Math.random();
    }
    return new SeedrandomGenerator_1.default(seedrandom.alea(seed, {
        state: true
    }));
}
exports.createRng = createRng;
function restoreRng(state) {
    return new SeedrandomGenerator_1.default(seedrandom.alea('', {
        state
    }));
}
exports.restoreRng = restoreRng;
//# sourceMappingURL=factory.js.map