import SchedulerInterface from './SchedulerInterface';
import TaskInterface from './TaskInterface';
declare class PeriodicScheduler implements SchedulerInterface {
    private _period;
    constructor(_period: number);
    setPeriod(period: number): PeriodicScheduler;
    getPeriod(): number;
    start<T>(worker: SchedulerInterface.WorkerInterface<T>, context?: T): TaskInterface;
}
export { PeriodicScheduler as default };
