import RGBASurfaceInterface from './RGBASurfaceInterface';
declare class ArrayBufferSurface implements RGBASurfaceInterface {
    static createFromArrayBuffer(width: number, height: number, buffer: ArrayBuffer): ArrayBufferSurface;
    replaceUnderlyingBuffer(width: number, height: number, buffer: ArrayBuffer): ArrayBufferSurface;
    getUnderlyingBuffer(): ArrayBuffer;
    resetUnderlyingBuffer(): ArrayBufferSurface;
    getWidth(): number;
    getHeight(): number;
    getBuffer(): Uint32Array;
    getByteOrder(): RGBASurfaceInterface.ByteOrder;
    fill(value: number): this;
    private _height;
    private _width;
    private _underlyingBuffer;
    private _buffer;
}
export { ArrayBufferSurface as default };
