interface RGBASurfaceInterface {
    getWidth(): number;
    getHeight(): number;
    getBuffer(): RGBASurfaceInterface.BufferInterface;
    getByteOrder(): RGBASurfaceInterface.ByteOrder;
}
declare namespace RGBASurfaceInterface {
    const enum ByteOrder {
        rgba = 0
    }
    interface BufferInterface {
        [index: number]: number;
    }
}
export { RGBASurfaceInterface as default };
