import VideoDriver from './Video';
export default class FullscreenVideoDriver {
    private _videoDriver;
    private _zIndex;
    private _fullscreenClass;
    constructor(_videoDriver: VideoDriver, _zIndex?: number, _fullscreenClass?: string);
    engage(): void;
    disengage(): void;
    toggle(): void;
    isEngaged(): boolean;
    private _onChange;
    private _resetSize;
    private _adjustSizeForFullscreen;
    private _resizeListener;
    private _resizeHandle;
    private _changeListener;
    private _engaged;
}
