import { EventInterface } from 'microevent.ts';
import PoolMemberInterface from '../../tools/pool/PoolMemberInterface';
interface PCMAudioEndpointInterface {
    getSampleRate(): number;
    getFrameSize(): number;
    isPaused(): boolean;
    newFrame: EventInterface<PoolMemberInterface<Float32Array>>;
    togglePause: EventInterface<boolean>;
}
export { PCMAudioEndpointInterface as default };
