import { Event } from 'microevent.ts';
import VideoOutputInterface from '../..//machine/io/VideoOutputInterface';
import PoolMemberInterface from '../../tools/pool/PoolMemberInterface';
import VideoEndpointInterface from '../driver/VideoEndpointInterface';
declare class VideoEndpoint implements VideoEndpointInterface {
    private _video;
    constructor(_video: VideoOutputInterface);
    getWidth(): number;
    getHeight(): number;
    newFrame: Event<PoolMemberInterface<ImageData>>;
    private _pool;
    private _poolMembers;
    private _surfaces;
}
export { VideoEndpoint as default };
