import WaveformAudioOutputInterface from '../../../machine/io/WaveformAudioOutputInterface';
import PCMAudioEndpointInterface from '../PCMAudioEndpointInterface';
interface ChannelInterface {
    init(context: AudioContext, target: AudioNode): void;
    unbind(): void;
    bind(source: WaveformAudioOutputInterface | PCMAudioEndpointInterface): void;
    setMasterVolume(volume: number): void;
}
export { ChannelInterface as default };
