import Processor from './Processor';
import { Capabilities } from './Capabilities';
declare class IntegerScalingProcessor implements Processor {
    private _gl;
    private _capabilities;
    constructor(_gl: WebGLRenderingContext, _capabilities: Capabilities);
    init(): void;
    destroy(): void;
    render(texture: WebGLTexture): void;
    getWidth(): number;
    getHeight(): number;
    getTexture(): WebGLTexture;
    resize(width: number, height: number): void;
    configure(widthTo: number, heightTo: number): void;
    private _reconfigure;
    private _width;
    private _height;
    private _widthFrom;
    private _heightFrom;
    private _widthTo;
    private _heightTo;
    private _texture;
    private _program;
    private _framebuffer;
    private _vertexCoordinateBuffer;
    private _textureCoordinateBuffer;
    private _initialized;
}
export default IntegerScalingProcessor;
