declare class Program {
    private _gl;
    private _program;
    private _vsh;
    private _fsh;
    private constructor();
    static compile(gl: WebGLRenderingContext, vshSource: string, fshSource: string, layout?: Record<string, number>): Program;
    delete(): void;
    use(): void;
    getAttribLocation(name: string): number;
    getUniformLocation(name: string): WebGLUniformLocation;
    bindVertexAttribArray(attribute: string, buffer: WebGLBuffer, size: number, type: number, normalized: boolean, stride: number, offset: number): void;
    uniform1i(uniform: string, value: number): void;
    uniform1f(uniform: string, value: number): void;
    private _attributeLocations;
    private _uniformLocations;
}
export default Program;
