import { Event } from 'microevent.ts';
declare class DoubleTapDetector {
    private _maxTapLength;
    private _timeout;
    constructor(_maxTapLength?: number, _timeout?: number);
    startTouch(): void;
    endTouch(): void;
    cancelTouch(): void;
    isDispatching(): boolean;
    trigger: Event<void>;
    private _dispatch;
    private _touching;
    private _lastTouchEligible;
    private _lastTouchStart;
    private _lastTouchEnd;
}
export default DoubleTapDetector;
