import AsyncIOInterface from '../../../../machine/io/AsyncIOInterface';
import { RpcProviderInterface } from 'worker-rpc';
import { Event } from 'microevent.ts';
declare class AsyncIOProxy implements AsyncIOInterface {
    private _rpc;
    constructor(_rpc: RpcProviderInterface);
    init(): void;
    send(message: ArrayLike<number>): void;
    message: Event<number[]>;
}
export default AsyncIOProxy;
