import EmulationContextInterface from '../EmulationContextInterface';
import { RpcProviderInterface } from 'worker-rpc';
declare class ControlDriver {
    private _rpc;
    constructor(_rpc: RpcProviderInterface);
    init(): void;
    bind(emulationContext: EmulationContextInterface): void;
    unbind(): void;
    private _onControlStateUpdate;
    private _applyJoystickState;
    private _applyPaddleState;
    private _applyControlPanelState;
    private _active;
    private _emulationContext;
}
export { ControlDriver as default };
