import Joystick from '../../../../machine/io/DigitalJoystick';
import ControlPanel from '../../../../machine/stella/ControlPanel';
import Paddle from '../../../../machine/io/Paddle';
import { RpcProviderInterface } from 'worker-rpc';
declare class ControlProxy {
    private _rpc;
    constructor(_rpc: RpcProviderInterface);
    sendUpdate(): void;
    getJoystick(i: number): Joystick;
    getControlPanel(): ControlPanel;
    getPaddle(i: number): Paddle;
    private static _joystickState;
    private static _paddleState;
    private static _controlPanelState;
    private _joysticks;
    private _paddles;
    private _controlPanel;
}
export { ControlProxy as default };
