interface ControlState {
    joystickState: Array<ControlState.JoystickState>;
    paddleState: Array<ControlState.PaddleState>;
    controlPanelState: ControlState.ControlPanelState;
}
declare namespace ControlState {
    interface JoystickState {
        left: boolean;
        right: boolean;
        up: boolean;
        down: boolean;
        fire: boolean;
    }
    interface PaddleState {
        value: number;
        fire: boolean;
    }
    interface ControlPanelState {
        difficulty0: boolean;
        difficulty1: boolean;
        select: boolean;
        reset: boolean;
        color: boolean;
    }
}
export { ControlState as default };
