import { RpcProviderInterface } from 'worker-rpc';
declare class EmulationBackend {
    private _rpc;
    constructor(_rpc: RpcProviderInterface);
    startup(): void;
    private static _onFrequencyUpdate;
    private static _onEmulationError;
    private _onSetup;
    private _onFetchLastError;
    private _onEmulationPause;
    private _onEmulationReset;
    private _onEmulationResume;
    private _onEmulationStart;
    private _onEmulationStop;
    private _onEmulationSetRateLimit;
    private _service;
    private _videoDriver;
}
export { EmulationBackend as default };
