import { RpcProviderInterface } from 'worker-rpc';
import VideoOutputInterface from '../../../../machine/io/VideoOutputInterface';
declare class VideoDriver {
    private _rpc;
    constructor(_rpc: RpcProviderInterface);
    init(): void;
    bind(video: VideoOutputInterface): void;
    unbind(): void;
    private static _onNewFrame;
    private _bind;
    private _unbind;
    private _onReturnSurfaceFromHost;
    private _onGetVideoParameters;
    private _active;
    private _video;
    private _mutex;
    private _surfacePool;
    private _managedSurfacesById;
    private _managedSurfaces;
    private _ids;
    private _width;
    private _height;
    private _nextId;
}
export { VideoDriver as default };
